function equ=QueryEquilibrium(p,threshold)
% equ is a 3*n matrix, and the 1st and 2ed columns are the coordinate of
% the equlibirium whose potential value is smaller than the threshold. The
% 3rd column is the corresponding potential value
len=size(p,1)*size(p,2)/4;
equ=zeros(3, fix(len));
no=0;
for i=1:size(p,1)
    for j=1:size(p,2)
        if p(i,j)<=threshold
            no=no+1;
            equ(1,no)=i;
            equ(2,no)=j;
            equ(3,no)=p(i,j);
        end
    end
end
equ=equ(:,1:no);
