clear;clc;
NN=196;
file='result.dat';
fid = fopen(file,'r');
result = fscanf(fid, '%f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f', [26,inf]);
fclose(fid);
cost=result(1:6,:);
div=result(7:12,:);
stab=result(13:18,:);
dlc=result(19:24,:);
len1=result(25,:);
len2=result(26,:);
label = [ 'AS 12182';
          'AS 4685 ';
          'AS 12182';
          'AS 4685 ';
          'AS 12182';
          'AS 4685 '];
liney=-1:5:1000;
linex1=2.5*ones(size(liney));
linex2=4.5*ones(size(liney));
scrsz = get(0,'ScreenSize');
y=zeros(3,NN);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
figure('Position',[1 scrsz(4) 0.7*scrsz(3) 0.25*scrsz(3)]);
x=1:NN;
for i=1:3
    y(i,:)=cost(2*i-1)+cost(2*i,:);
end
r1=y(1,:)./y(2,:);
r2=y(1,:)./y(3,:);

%plot(x,y(1,:),'-d',x,y(2,:),'-s',x,y(3,:),'-o');
%plot(x,r1,'-db',x,mean(r1)*r3,'-.b',x,r2,'-or',x,mean(r2)*r3,'-.r',x,r3,':k');
% cdfplot(r1)
% hold on
% cdfplot(r2)
[f1,x1]=ecdf(r1);
m1=mean(r1);
[f2,x2]=ecdf(r2);
m2=mean(r2);
r3=0:0.1:1;
x3=ones(size(r3));
plot(x1,f1,'-db',m1*x3,r3,'-.db',x2,f2,'-sr',m2*x3,r3,'-.sr');
grid on
%grid(gca,'minor')
legend('GE2E-TE/LISP','Average of GE2E-TE/LISP','GE2E-TE/MP-BGP','Average of GE2E-TE/MP-BGP');
ylabel('CDF');
%ylabel('Routing cost ratio');

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
figure('Position',[1 scrsz(4) 0.7*scrsz(3) 0.25*scrsz(3)]);
x=1:NN;
for i=1:3
    y(i,:)=div(2*i-1)+div(2*i,:);
end
r1=y(1,:)./y(2,:);
r2=y(1,:)./y(3,:);

%plot(x,y(1,:),'-d',x,y(2,:),'-s',x,y(3,:),'-o');
%plot(x,r1,'-db',x,mean(r1)*r3,'-.b',x,r2,'-or',x,mean(r2)*r3,'-.r',x,r3,':k');
% cdfplot(r1)
% hold on
% cdfplot(r2)
[f1,x1]=ecdf(r1);
m1=mean(r1);
[f2,x2]=ecdf(r2);
m2=mean(r2);
r3=0:0.1:1;
x3=ones(size(r3));
plot(x1,1-f1,'-db',m1*x3,r3,'-.db',x2,1-f2,'-sr',m2*x3,r3,'-.sr');
grid on
%grid(gca,'minor')
legend('GE2E-TE/LISP','Average of GE2E-TE/LISP','GE2E-TE/MP-BGP','Average of GE2E-TE/MP-BGP');
ylabel('CCDF');
%ylabel('Routing cost ratio');
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
figure('Position',[1 scrsz(4) 0.7*scrsz(3) 0.25*scrsz(3)]);
[f1,x1]=ecdf(len2);
m1=mean(r1);
plot(x1,1-f1,'-db',m1*x3,r3,'-.db');
grid on
%grid(gca,'minor')
legend('Number of equilibria','Average number of equilibria');
ylabel('CCDF');
