clear;clc
folder='Archive/';
% n1=2;
% n2=3;
% gc1=[5 10];
% gc2=[15 10 20];
% rc1=[17 13 15 10 12 15];
% rc2=[22 20 25 28 22 26];
% fid = fopen('list.dat','r');
fid2= fopen('result.dat','w');
lastsol1=[];
lastsol2=[];
lastLisp1=[];
lastLisp2=[];
lastBGP1=[];
lastBGP2=[];
NN=196;
for i=1:NN
    % file = fscanf(fid, '%s', 1);
    file = ['dataset', num2str(i)];
    dataset=[folder file];
    [n1 n2 as1 as2 lc1 lc2 tc1 tc2]=ASFileParse(dataset);
    
    [M1, M2]=GenGameMatrixWithPunishment2(n1,n2,lc1,lc2,tc1(1,:),tc2(1,:));
    %[T1 T2 s1 s2]=PickDominantStrategies(n1,n2,M1,M2);
    s1=zeros(n1*n2,2);
    s1(:,1)=1:n1*n2';
    s2=s1;
    
    [T1 T2 s1 s2] = EliminateDominatedStrategies(M1,M2,s1,s2);
    %[s1 s2 c1 c2] = SolveMixedStrategies(T1, T2, s1, s2);
    [p q]=LemkeHowson(T1,T2);
    s1=s1';
    s2=s2';
    s1(2,:)=p';
    s2(2,:)=q';
    if size(s1,2)>1
    s1
    s2
    end
    [div1,div2]=divCal(s1,s2,tc1(3,:),tc2(3,:));
    ASsol1=ASconversion(s1,as1,as2);
    ASsol2=ASconversion(s2,as2,as1);
    stab1=StabCalculation(lastsol1, ASsol1);
    stab2=StabCalculation(lastsol2, ASsol2);
    dlc1=desLocCal(s1,n2,lc2);
    dlc2=desLocCal(s2,n1,lc1);
    lastsol1=ASsol1;
    lastsol2=ASsol2;
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    rclen1=tc1(2,:);
    rclen2=tc2(2,:);
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    [lispsol1,lispsol2]=LispSol(lc1,lc2,rclen1,rclen2);
    [lispc1,lispc2]=costCal(lispsol1,lispsol2,M1,M2);
    [lispd1,lispd2]=divCal(lispsol1,lispsol2,tc1(3,:),tc2(3,:));
    ASsol1=ASconversion(lispsol1,as1,as2);
    ASsol2=ASconversion(lispsol2,as2,as1);
    lisps1=StabCalculation(lastLisp1, ASsol1);
    lisps2=StabCalculation(lastLisp2, ASsol2);
    lispdlc1=desLocCal(lispsol1,n2,lc2);
    lispdlc2=desLocCal(lispsol2,n1,lc1);
    lastLisp1=ASsol1;
    lastLisp2=ASsol2;
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    [BGPsol1, BGPsol2]=mulBGPSol(n1,n2,rclen1,rclen2);
    [BGPc1,BGPc2]=costCal(BGPsol1,BGPsol2,M1,M2);
    [BGPd1,BGPd2]=divCal(BGPsol1,BGPsol2,tc1(3,:),tc2(3,:));
    ASsol1=ASconversion(BGPsol1,as1,as2);
    ASsol2=ASconversion(BGPsol2,as2,as1);
    BGPs1=StabCalculation(lastBGP1, ASsol1);
    BGPs2=StabCalculation(lastBGP2, ASsol2);
    BGPdlc1=desLocCal(BGPsol1,n2,lc2);
    BGPdlc2=desLocCal(BGPsol2,n1,lc1);
    lastBGP1=ASsol1;
    lastBGP2=ASsol2;
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    result=[c1 c2 lispc1 lispc2 BGPc1 BGPc2 div1 div2 lispd1 lispd2 BGPd1 BGPd2 stab1 stab2 lisps1 lisps2 BGPs1 BGPs2 dlc1 dlc2 lispdlc1 lispdlc2 BGPdlc1 BGPdlc2];
    fprintf(fid2,'%f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f\n',result);
end
fclose(fid2);
% fclose(fid);